gump-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antoine Levy-Lambert" <anto...@gmx.de>
Subject Re: packaged projects required for 2 dependencies of commons-jelly-tags-soap
Date Wed, 28 Feb 2007 23:56:55 GMT
Hello Steve,

gump will still need 2 pairs of saaj and jax-rpc jars, unless the project.xml of tags-soap
requires only one set of these.

I will leave this for now, as I wanted mainly to dispense the jakarta colleagues from nag
emails.

Regards,

Antoine
-------- Original-Nachricht --------
Datum: Wed, 28 Feb 2007 12:13:31 +0000
Von: Steve Loughran <stevel@apache.org>
An: Gump code and data <general@gump.apache.org>
CC: axis-dev <axis-dev@ws.apache.org>
Betreff: Re: packaged projects required for 2 dependencies of commons-jelly-tags-soap

> Antoine Levy-Lambert wrote:
> > Hello Stefan,
> > 
> > it looks like the intention of the developers of commons-jelly-tags-soap
> > was to use two distinct saaj jars and two distinct jaxrpc jars,
> > one from axis, and one from geronimo.
> > 
> > The project.xml [1] of commons-jelly-tags-soap suggest that the gump 
> > build could use the jars from axis twice, once for what they are and 
> > once to replace the jars of geronimo.
> > 
> > I wonder whether it would not be better to download geronimo and to use 
> > the real jars of geronimo.
> > 
> > I will give a shot at using twice the same jars, not sure whether it 
> > will work to get a build, and even less sure that this will mean 
> > anything. [2]
> > 
> 
> Looking at the dependencies of jelly,
> http://svn.apache.org/repos/asf/jakarta/commons/proper/jelly/trunk/jelly-tags/soap/project.xml
> 
> It looks like it needs any one of
>   -Sun JAX-RPC 1.3  (v2.0 is built in to Java 6), and is also built in 
> to the javaee 5 artifact that is in the java.net m1 repository.
>   -Axis 1.2 (should be a later one of that)
>   -geronimo 1.1
> You have to uncomment the one you want; project.xml, ivy.xml and poms 
> are yet to come to terms with the whole notion of aggregate/bundled XML 
> specs floating around things
> 
> -they also depend on jaxme for javax.xml.namespace.QName, which is built 
> in to Java5 and so not needed on Gump.
> 
> 1. we can drop the jaxme dependency as gump is java1.5+
> 2. if jelly needs a jaxrpc, it should take the Axis1.x branch version, 
> unless anyone on axis-dev says otherwise.
> 
> remember, these are just the interface files, not the implementation. A 
> build against JAX-RPC 1.3 is all that they want, and they are not going 
> to get it if they try and build on java6, no matter how hard they try.
> 
> -steve
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
> For additional commands, e-mail: general-help@gump.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
For additional commands, e-mail: general-help@gump.apache.org


Mime
View raw message